| TagLib 1.13 |  |

Public Types | Public Member Functions | Friends | List of all members
TagLib::S3M::Properties Class Reference

`#include <s3mproperties.h>`

Inheritance diagram for TagLib::S3M::Properties:
[legend]
Collaboration diagram for TagLib::S3M::Properties:
[legend]

## Public Types
enum | { ST2Vibrato = 1 , ST2Tempo = 2 , AmigaSlides = 4 , Vol0MixOptimizations = 8 , AmigaLimits = 16 , EnableFilter = 32 , CustomData = 128 }
Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }

## Public Member Functions
| Properties (AudioProperties::ReadStyle propertiesStyle)
virtual | ~Properties ()
int | length () const
int | lengthInSeconds () const
int | lengthInMilliseconds () const
int | bitrate () const
int | sampleRate () const
int | channels () const
unsigned short | lengthInPatterns () const
bool | stereo () const
unsigned short | sampleCount () const
unsigned short | patternCount () const
unsigned short | flags () const
unsigned short | trackerVersion () const
unsigned short | fileFormatVersion () const
unsigned char | globalVolume () const
unsigned char | masterVolume () const
unsigned char | tempo () const
unsigned char | bpmSpeed () const
void | setChannels (int channels)
void | setLengthInPatterns (unsigned short lengthInPatterns)
void | setStereo (bool stereo)
void | setSampleCount (unsigned short sampleCount)
void | setPatternCount (unsigned short patternCount)
void | setFlags (unsigned short flags)
void | setTrackerVersion (unsigned short trackerVersion)
void | setFileFormatVersion (unsigned short fileFormatVersion)
void | setGlobalVolume (unsigned char globalVolume)
void | setMasterVolume (unsigned char masterVolume)
void | setTempo (unsigned char tempo)
void | setBpmSpeed (unsigned char bpmSpeed)
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
virtual int | length () const =0
int | lengthInSeconds () const
int | lengthInMilliseconds () const
virtual int | bitrate () const =0
virtual int | sampleRate () const =0
virtual int | channels () const =0

## Friends
class | File

## Additional Inherited Members
Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Flag bits.

Enumerator
ST2Vibrato |
ST2Tempo |
AmigaSlides |
Vol0MixOptimizations |
AmigaLimits |
EnableFilter |
CustomData |

## Constructor & Destructor Documentation

## ◆ Properties()

TagLib::S3M::Properties::Properties | ( | AudioProperties::ReadStyle | propertiesStyle | ) |

## ◆ ~Properties()

virtual TagLib::S3M::Properties::~Properties | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ bitrate()

int TagLib::S3M::Properties::bitrate | ( |  | ) | const
| virtual

Returns the most appropriate bit rate for the file in kb/s. For constant bitrate formats this is simply the bitrate of the file. For variable bitrate formats this is either the average or nominal bitrate.

Implements TagLib::AudioProperties.

## ◆ bpmSpeed()

unsigned char TagLib::S3M::Properties::bpmSpeed | ( |  | ) | const

## ◆ channels()

int TagLib::S3M::Properties::channels | ( |  | ) | const
| virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

## ◆ fileFormatVersion()

unsigned short TagLib::S3M::Properties::fileFormatVersion | ( |  | ) | const

## ◆ flags()

unsigned short TagLib::S3M::Properties::flags | ( |  | ) | const

## ◆ globalVolume()

unsigned char TagLib::S3M::Properties::globalVolume | ( |  | ) | const

## ◆ length()

int TagLib::S3M::Properties::length | ( |  | ) | const
| virtual

Returns the length of the file in seconds.

Implements TagLib::AudioProperties.

## ◆ lengthInMilliseconds()

int TagLib::S3M::Properties::lengthInMilliseconds | ( |  | ) | const

## ◆ lengthInPatterns()

unsigned short TagLib::S3M::Properties::lengthInPatterns | ( |  | ) | const

## ◆ lengthInSeconds()

int TagLib::S3M::Properties::lengthInSeconds | ( |  | ) | const

## ◆ masterVolume()

unsigned char TagLib::S3M::Properties::masterVolume | ( |  | ) | const

## ◆ patternCount()

unsigned short TagLib::S3M::Properties::patternCount | ( |  | ) | const

## ◆ sampleCount()

unsigned short TagLib::S3M::Properties::sampleCount | ( |  | ) | const

## ◆ sampleRate()

int TagLib::S3M::Properties::sampleRate | ( |  | ) | const
| virtual

Returns the sample rate in Hz.

Implements TagLib::AudioProperties.

## ◆ setBpmSpeed()

void TagLib::S3M::Properties::setBpmSpeed | ( | unsigned char | bpmSpeed | ) |

## ◆ setChannels()

void TagLib::S3M::Properties::setChannels | ( | int | channels | ) |

## ◆ setFileFormatVersion()

void TagLib::S3M::Properties::setFileFormatVersion | ( | unsigned short | fileFormatVersion | ) |

## ◆ setFlags()

void TagLib::S3M::Properties::setFlags | ( | unsigned short | flags | ) |

## ◆ setGlobalVolume()

void TagLib::S3M::Properties::setGlobalVolume | ( | unsigned char | globalVolume | ) |

## ◆ setLengthInPatterns()

void TagLib::S3M::Properties::setLengthInPatterns | ( | unsigned short | lengthInPatterns | ) |

## ◆ setMasterVolume()

void TagLib::S3M::Properties::setMasterVolume | ( | unsigned char | masterVolume | ) |

## ◆ setPatternCount()

void TagLib::S3M::Properties::setPatternCount | ( | unsigned short | patternCount | ) |

## ◆ setSampleCount()

void TagLib::S3M::Properties::setSampleCount | ( | unsigned short | sampleCount | ) |

## ◆ setStereo()

void TagLib::S3M::Properties::setStereo | ( | bool | stereo | ) |

## ◆ setTempo()

void TagLib::S3M::Properties::setTempo | ( | unsigned char | tempo | ) |

## ◆ setTrackerVersion()

void TagLib::S3M::Properties::setTrackerVersion | ( | unsigned short | trackerVersion | ) |

## ◆ stereo()

bool TagLib::S3M::Properties::stereo | ( |  | ) | const

## ◆ tempo()

unsigned char TagLib::S3M::Properties::tempo | ( |  | ) | const

## ◆ trackerVersion()

unsigned short TagLib::S3M::Properties::trackerVersion | ( |  | ) | const

## Friends And Related Function Documentation

## ◆ File

friend class File
| friend

The documentation for this class was generated from the following file:

- s3mproperties.h